Index: trunk/admin/modules/Elezioni/ele_lista.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_lista.php	(revision 256)
+++ trunk/admin/modules/Elezioni/ele_lista.php	(revision 257)
@@ -19,6 +19,8 @@
 $perms=ChiSei($id_cons_gen);
 if ($perms<32 or !$id_cons_gen) die("$id_cons_gen -Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
-$res = mysql_query("SELECT t1.tipo_cons,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
-list($tipo_cons,$id_cons) = mysql_fetch_row($res);
+$sql="SELECT t1.tipo_cons,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'";
+$res = $dbi->prepare("$sql");
+$res->execute();						
+list($tipo_cons,$id_cons) = $res->fetch(PDO::FETCH_NUM);
 
 include("modules/Elezioni/funzionidata.php");
@@ -54,16 +56,20 @@
 	
 	$circo='';
-	$res = mysql_query("SELECT circo FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons'", $dbi);
+	$sql="SELECT circo FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons'";
 #	$res = mysql_query("SELECT circo FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' and lingua='$currentlang'", $dbi);
-	list($cons_circ)= mysql_fetch_row($res);
+	$res = $dbi->prepare("$sql");
+	$res->execute();						
+	list($cons_circ)= $res->fetch(PDO::FETCH_NUM);
 	if($cons_circ)
 	{
 		echo "<form name=\"circo\" action=\"admin.php\" method=\"post\">";
 		echo "<br><br><table border=\"1\" width=\"50%\" ><tr bgcolor=\"$bgcolor1\"><td>"._SCEGLI_CIRCO.": </td>";
-		$res = mysql_query("SELECT * FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons'", $dbi);
+		$sql="SELECT * FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons'";
+		$res = $dbi->prepare("$sql");
+		$res->execute();						
 		echo "<input type=\"hidden\" name=\"pag\" value=\"admin.php?op=lista&amp;id_cons_gen=$id_cons_gen&amp;id_circ=\">";
 		echo "<td><select name=\"id_circ\" onChange=\"top.location.href=this.form.pag.value+this.form.id_circ.options[this.form.id_circ.selectedIndex].value;return false\">";
 		echo "<option value=\"\">";
-		while($arr=mysql_fetch_array($res,3)){
+		while($arr=$res->fetch(PDO::FETCH_BOTH)){
 			if (!$id_circ) $id_circ=$arr['id_circ'];
 			$sel= ($arr['id_circ'] == $id_circ) ? "selected":"";
@@ -83,6 +89,8 @@
 	}
 	echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._FUNZIONI."</b></td></tr>";
-	$res = mysql_query("SELECT * FROM ".$prefix."_ele_lista where id_cons='$id_cons' $circo ", $dbi);
-	$max = mysql_num_rows($res);
+	$sql="SELECT * FROM ".$prefix."_ele_lista where id_cons='$id_cons' $circo ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();						
+	$max = $res->rowCount();
 	$nuova_lista=$max+1;
 	//-----------------------visualizza riga superiore per inserimento -
@@ -90,6 +98,8 @@
 	."<input type=\"hidden\" name=\"op\" value=\"lista\">";
 	if ($do=='modify') {
-	$resl = mysql_query("SELECT * FROM ".$prefix."_ele_lista where id_lista='$id_lista'", $dbi);
-	$lis=mysql_fetch_array($resl);
+	$sql="SELECT * FROM ".$prefix."_ele_lista where id_lista='$id_lista'";
+	$resl = $dbi->prepare("$sql");
+	$resl->execute();						
+	$lis=$resl->fetch(PDO::FETCH_BOTH);
 	$nuova_lista=$lis['num_lista'];
 	echo "<input type=\"hidden\" name=\"do\" value=\"update\">";
@@ -116,8 +126,10 @@
 		<option value=\"\">";
 		
-		$result1 = mysql_query("select id_gruppo, descrizione from ".$prefix."_ele_gruppo where id_cons=$id_cons $circo", $dbi);
+		$sql="select id_gruppo, descrizione from ".$prefix."_ele_gruppo where id_cons=$id_cons $circo";
+		$result1 = $dbi->prepare("$sql");
+		$result1->execute();						
 		$id_gruppo2= ($id_gruppo2)?$id_gruppo2:$id_gruppo;
 		if ($result1)
-		while(list($id,$descr)=mysql_fetch_row($result1)){
+		while(list($id,$descr)=$result1->fetch(PDO::FETCH_NUM)){
 			$sel= ($id == $id_gruppo2) ? "selected":"";
 			echo "<option value=\"$id\" $sel>$descr";
@@ -144,16 +156,24 @@
 	echo "</script>\n";
 	$grup= $id_gruppo ? "and id_gruppo='$id_gruppo'":"";
-	$result = mysql_query("select count(id_lista) from ".$prefix."_ele_lista where id_cons='$id_cons' $circo", $dbi);
-	list($numero) = mysql_fetch_row($result);
-	$result = mysql_query("select * from ".$prefix."_ele_lista where id_cons='$id_cons' $grup $circo ORDER BY num_lista  LIMIT $min,$offset", $dbi);
-	while(list($id_cons2,$id_lista,$num_lista, $id_gruppo,$id_circ, $descr_lista, $simbolo) = mysql_fetch_row($result)) {
+	$sql="select count(id_lista) from ".$prefix."_ele_lista where id_cons='$id_cons' $circo";
+	$result = $dbi->prepare("$sql");
+	$result->execute();						
+	list($numero) = $result->fetch(PDO::FETCH_NUM);
+	$sql="select * from ".$prefix."_ele_lista where id_cons='$id_cons' $grup $circo ORDER BY num_lista  LIMIT $min,$offset";
+	$result = $dbi->prepare("$sql");
+	$result->execute();						
+	while(list($id_cons2,$id_lista,$num_lista, $id_gruppo,$num_gruppo,$id_circ,$num_circ, $descr_lista, $simbolo) = $result->fetch(PDO::FETCH_NUM)) {
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
         	// dati gruppo
 		if ($genere==1 or $genere==3 or $genere==5){ ###prova	
-		$result1 = mysql_query("select descrizione,simbolo from ".$prefix."_ele_gruppo where id_cons='$id_cons' and id_gruppo='$id_gruppo'", $dbi);
-        		list($descr_gruppo,$simb_gruppo)=mysql_fetch_row($result1);
-		}
-		$restemp = mysql_query("select count(0) from ".$prefix."_ele_candidati where id_lista='$id_lista'", $dbi);
-		list($numtemp)=mysql_fetch_row($restemp);
+			$sql="select descrizione,simbolo from ".$prefix."_ele_gruppo where id_cons='$id_cons' and id_gruppo='$id_gruppo'";
+			$result1 = $dbi->prepare("$sql");
+			$result1->execute();						
+        	list($descr_gruppo,$simb_gruppo)=$result1->fetch(PDO::FETCH_NUM);
+		}
+		$sql="select count(0) from ".$prefix."_ele_candidati where id_lista='$id_lista'";
+			$restemp = $dbi->prepare("$sql");
+			$restemp->execute();						
+		list($numtemp)=$restemp->fetch(PDO::FETCH_NUM);
 
 		echo "<tr bgcolor=\"$bgcolor1\"><td align=\"right\"><b>$num_lista</b>"
@@ -208,6 +228,8 @@
 			echo "[ <a href=\"admin.php?op=lista&amp;id_cons_gen=$id_cons_gen&amp;min=$min&amp;id_circ=$id_circ\">"._NO."</a> ] - [<a href=\"admin.php?op=lista&amp;do=delete&amp;id_lista=$id_lista&amp;id_gruppo=$id_gruppo&amp;id_circ=$id_circ&amp;ok=1&amp;min=$min&amp;id_cons_gen=$id_cons_gen\">"._YES."</a> ]";exit;
 		}else{
-			$result = mysql_query("delete from ".$prefix."_ele_lista where id_lista='$id_lista'", $dbi);
-			if (!$result)return;
+			$sql="delete from ".$prefix."_ele_lista where id_lista='$id_lista'";
+			$result = $dbi->prepare("$sql");
+			$result->execute();						
+			if (!$result->rowCount())return;
 			Header("Location: admin.php?op=lista&id_circ=$id_circ&id_cons_gen=$id_cons_gen&min=$min");
 		}
@@ -227,6 +249,8 @@
 				$stemmanome=addslashes($nomestemma);
 			}
-			$result = mysql_query("insert into ".$prefix."_ele_lista (id_cons,num_lista,id_gruppo,id_circ,descrizione,simbolo,stemma) values ('$id_cons','$num_lista','$id_gruppo','$id_circ','$descr_lista','$stemmanome','$stemmablob')", $dbi);
-			if (!$result) return;
+			$sql="insert into ".$prefix."_ele_lista (id_cons,num_lista,id_gruppo,id_circ,descrizione,simbolo,stemma) values ('$id_cons','$num_lista','$id_gruppo','$id_circ','$descr_lista','$stemmanome','$stemmablob')";
+			$result = $dbi->prepare("$sql");
+			$result->execute();						
+			if (!$result->rowCount()) return;
 			Header("Location: admin.php?op=lista&id_circ=$id_circ&min=$min&id_cons_gen=$id_cons_gen");
 		} else {
@@ -251,6 +275,8 @@
 		$cond=", simbolo='$stemmanome', stemma='$stemmablob'";
 		} else {$cond='';}
-		$result = mysql_query("update  ".$prefix."_ele_lista set  num_lista='$num_lista' , id_gruppo='$id_gruppo',descrizione='$descr_lista' $cond  where id_lista='$id_lista'", $dbi);
-		if (!$result) return;
+		$sql="update  ".$prefix."_ele_lista set  num_lista='$num_lista' , id_gruppo='$id_gruppo',descrizione='$descr_lista' $cond  where id_lista='$id_lista'";
+		$result = $dbi->prepare("$sql");
+		$result->execute();						
+		if (!$result->rowCount()) return;
 		Header("Location: admin.php?op=lista&id_circ=$id_circ&min=$min&id_cons_gen=$id_cons_gen");
 	}
Index: trunk/admin/modules/Elezioni/ele_operatori.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_operatori.php	(revision 256)
+++ trunk/admin/modules/Elezioni/ele_operatori.php	(revision 257)
@@ -15,6 +15,8 @@
 $perms=ChiSei($id_cons_gen);
 if (($perms<64 or !$id_cons_gen) and $perms!=256) die("(($perms<64 or !$id_cons_gen) and $perms!=256)Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
-$res = mysql_query("SELECT t1.tipo_cons,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
-list($tipo_cons,$id_cons) = mysql_fetch_row($res);
+$sql="SELECT t1.tipo_cons,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'";
+$res = $dbi->prepare("$sql");
+$res->execute();	
+list($tipo_cons,$id_cons) = $res->fetch(PDO::FETCH_NUM);
 if (isset($_GET['aid2'])) get_magic_quotes_gpc() ? $aid2=$param['aid2']:$aid2=addslashes($param['aid2']); else {if ($perms==256) $aid2='admin'; else $aid2='';}
 if (isset($_GET['id_sede'])) $id_sede=intval($_GET['id_sede']); else $id_sede='';
@@ -38,8 +40,12 @@
 	$id_comune=$_SESSION['id_comune'];
 	$user=$aid;
-	$rescom = mysql_query("select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune",$dbi);
-	list($descr_com) = mysql_fetch_row($rescom);
-	$resmod = mysql_query("SELECT aid,name,email FROM ".$prefix."_authors where aid='$aid2' and id_comune='$id_comune'", $dbi);
-	list ($aid2,$name,$email) = mysql_fetch_row($resmod);
+	$sql="select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$rescom = $dbi->prepare("$sql");
+	$rescom->execute();	
+	list($descr_com) = $rescom->fetch(PDO::FETCH_NUM);
+	$sql="SELECT aid,name,email FROM ".$prefix."_authors where aid='$aid2' and id_comune='$id_comune'";
+	$resmod = $dbi->prepare("$sql");
+	$resmod->execute();	
+	list ($aid2,$name,$email) = $resmod->fetch(PDO::FETCH_NUM);
 	if (isset($_GET['mex'])){
 		echo "<table align=\"center\"><tr><td style=\"background-color: rgb(255, 0, 0)\">";
@@ -54,10 +60,12 @@
 	echo "<table style=\"color: #000000;\"><tr align=\"center\" bgcolor=\"$bgcolor1\">";
 	echo "<td><b>"._UTENTE."</b></td>";
-	$resins = mysql_query("select aid from ".$prefix."_authors where id_comune='$id_comune' order by aid",$dbi); 
+	$sql="select aid from ".$prefix."_authors where id_comune='$id_comune' order by aid"; 
+	$resins = $dbi->prepare("$sql");
+	$resins->execute();	
 	echo "</tr><tr align=\"center\">";
 	echo "<td><input type=\"hidden\" name=\"pag_op\" value=\"admin.php?op=operatori&amp;id_cons_gen=$id_cons_gen&amp;aid2=\">";
 	echo "<select name=\"aid2\" onChange=\"top.location.href=this.form.pag_op.value+this.form.aid2.options[this.form.aid2.selectedIndex].value;return false\">";
 	echo "<option value=\"\">";
-	while(list($utente)=mysql_fetch_row($resins)){
+	while(list($utente)=$resins->fetch(PDO::FETCH_NUM)){
 		$sel= ($utente == $aid2) ? "selected":"";
 		echo "<option value=\"$utente\" $sel>$utente";
@@ -66,5 +74,7 @@
 	echo "</select></td>";
 	echo "</tr></table></form><br><hr>";
-	$resmod = mysql_query("SELECT * FROM ".$prefix."_authors where id_cons='$id_cons' and id_comune='$id_comune'", $dbi);
+#	$sql="SELECT * FROM ".$prefix."_authors where id_cons='$id_cons' and id_comune='$id_comune'";
+#	$resmod = $dbi->prepare("$sql");
+#	$resmod->execute();	
 	echo "<form name=\"modello\" action=\"admin.php\">";
 	echo "<table style=\"color: #000000;\">";
@@ -111,12 +121,16 @@
 		if ($do == "add") {
 			$sql="select * from ".$prefix."_authors where aid='$aid2' and id_comune=$id_comune";
-			$res=mysql_query($sql,$dbi);
-			$max=mysql_num_rows($res);
+			$res = $dbi->prepare("$sql");
+			$res->execute();	
+			$max=$res->rowCount();
 			if ($passwd==$passwd2 and $max==0){
 				if ($aid2=='admin') $super='1,0,0,'; else $super = '0,1,0,';
 				$sql="insert into ".$prefix."_authors (aid,name,id_comune,email,pwd,counter,adminop,admincomune,adminsuper,admlanguage) values ('$aid2','$name','$id_comune' , '$email','".md5($passwd)."',0,$super'$currentlang')";
-				$result = mysql_query($sql, $dbi)||die("Errore 1301: Non e' stato possibile inserire l'utente!<br>$sql<br>".mysql_error());
+				$res = $dbi->prepare("$sql");
+				$res->execute();	
 				if ($perms==256 and $aid2=='admin'){
-					$result = mysql_query("insert into ".$prefix."_ele_operatori (id_cons,id_sede,id_comune,permessi,aid) values ('0','0','$id_comune','64','$aid2')", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
+					$sql="insert into ".$prefix."_ele_operatori (id_cons,id_sede,id_comune,permessi,aid) values ('0','0','$id_comune','64','$aid2')";
+					$res = $dbi->prepare("$sql");
+					$res->execute();	
 				}
 			Header("Location: admin.php?op=operatori&id_cons_gen=$id_cons_gen");
@@ -128,5 +142,7 @@
 			}
 		} elseif ($do == "update") {
-			$result = mysql_query("update  ".$prefix."_authors set name='$name',pwd='".md5($passwd)."', email='$email' where id_comune='$id_comune' and aid='$aid2' ", $dbi);
+			$sql="update  ".$prefix."_authors set name='$name',pwd='".md5($passwd)."', email='$email' where id_comune='$id_comune' and aid='$aid2' ";
+			$res = $dbi->prepare("$sql");
+			$res->execute();	
 			if (!$result) return;
 			if ($aid2==$aid) $_SESSION['pwd']=md5($passwd);
Index: trunk/admin/modules/Elezioni/ele_operatori_admin.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_operatori_admin.php	(revision 256)
+++ trunk/admin/modules/Elezioni/ele_operatori_admin.php	(revision 257)
@@ -16,7 +16,6 @@
 $offset=15;
 if (!isset($min)) $min=0;
-
+global $dbi;
 $aid=$_SESSION['aid'];
-$dbi=$_SESSION['dbi'];
 $prefix=$_SESSION['prefix'];
 if (isset($_GET['do'])) $do=$_GET['do']; else $do='';
@@ -31,6 +30,8 @@
 
 
-$res = mysql_query("SELECT t1.tipo_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t1.id_cons_gen='$id_cons_gen' " , $dbi);
-list($tipo_cons) = mysql_fetch_row($res);
+$sql="SELECT t1.tipo_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t1.id_cons_gen='$id_cons_gen' ";
+$res = $dbi->prepare("$sql");
+$res->execute();				
+list($tipo_cons) = $res->fetch(PDO::FETCH_NUM);
 
 $hiddenInfo = "<input type=\"hidden\" name=\"min\" value=\"$min\">";
@@ -49,6 +50,8 @@
 	OpenTable();	
 	
-	$resmod = mysql_query("SELECT id_comune,permessi FROM ".$prefix."_ele_operatori where id_cons='0' and aid='$aid' and id_comune='0'", $dbi);
-	list ($id_comu,$permessi) = mysql_fetch_row($resmod);
+	$sql="SELECT id_comune,permessi FROM ".$prefix."_ele_operatori where id_cons='0' and aid='$aid' and id_comune='0'";
+	$resmod = $dbi->prepare("$sql");
+	$resmod->execute();				
+	list ($id_comu,$permessi) = $resmod->fetch(PDO::FETCH_NUM);
 	if ($perms!=256) 
 	{
@@ -56,5 +59,7 @@
 	return;
 	}
-	$resmod = mysql_query("SELECT * FROM ".$prefix."_ele_operatori where id_cons=0 and id_comune>0", $dbi);
+	$sql="SELECT * FROM ".$prefix."_ele_operatori where id_cons=0 and id_comune>0";
+	$resmod = $dbi->prepare("$sql");
+	$resmod->execute();				
 	echo "<table><tr></tr><hr><tr align=\"center\">";
 	echo "<td bgcolor=\"$bgcolor1\"><b>"._UTENTE."</b></td>"
@@ -70,8 +75,10 @@
 		echo "<td  align=\"center\" width=\"32\"><input name=\"aid2\"></td>";
 	}
-	$ressede = mysql_query("SELECT id_comune, descrizione from ".$prefix."_ele_comuni", $dbi);
+	$sql="SELECT id_comune, descrizione from ".$prefix."_ele_comuni";
+	$ressede = $dbi->prepare("$sql");
+	$ressede->execute();				
 	echo "<td><select name=\"id_comune2\">";
 	echo "<option value=\"\">";
-	while(list($id,$descr)=mysql_fetch_row($ressede)){
+	while(list($id,$descr)=$ressede->fetch(PDO::FETCH_NUM)){
 		$sel= ($id == $id_comune2) ? "selected":"";
 		$arr[$id]="$descr";
@@ -95,5 +102,5 @@
 	}
 	$i=1;
-	while (list($id_cons2,$id_sede2,$id_comune2,$perm,$utente) = mysql_fetch_row($resmod)){ //elenco dei modelli inseriti
+	while (list($id_cons2,$id_sede2,$id_comune2,$perm,$utente) = $resmod->fetch(PDO::FETCH_NUM)){ //elenco dei modelli inseriti
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
 		echo "<form name=\"modello$i\" action=\"admin.php\">"
@@ -131,6 +138,8 @@
 		if ($do == "add") {
 			if ($aid2) {
-				$result = mysql_query("select * from ".$prefix."_ele_operatori where aid='$aid2'", $dbi);
-				$result = mysql_query("insert into ".$prefix."_ele_operatori (id_cons,id_sede,id_comune,permessi,aid) values ('0','0','$id_comune2','$permessi','$aid2')", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
+#				$result = mysql_query("select * from ".$prefix."_ele_operatori where aid='$aid2'", $dbi);
+				$sql="insert into ".$prefix."_ele_operatori (id_cons,id_sede,id_comune,permessi,aid) values ('0','0','$id_comune2','$permessi','$aid2')";
+				$res = $dbi->prepare("$sql");
+				$res->execute();				
 				Header("Location: admin.php?op=oper_admin&id_cons_gen=$id_cons_gen");
 			} else {
@@ -141,5 +150,7 @@
 			}
 		}else if ($do == "update") {
-			$result = mysql_query("update  ".$prefix."_ele_operatori set permessi='$permessi' where id_cons='0' and aid='$aid2' ", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
+			$sql="update  ".$prefix."_ele_operatori set permessi='$permessi' where id_cons='0' and aid='$aid2' ";
+			$res = $dbi->prepare("$sql");
+			$res->execute();				
 			Header("Location: admin.php?op=oper_admin&id_cons_gen=$id_cons_gen");
 		} 
Index: trunk/admin/modules/Elezioni/ele_permessi.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_permessi.php	(revision 256)
+++ trunk/admin/modules/Elezioni/ele_permessi.php	(revision 257)
@@ -19,6 +19,8 @@
 $perms=ChiSei($id_cons_gen);
 if ($perms<64 or !$id_cons_gen) die("Non hai i permessi per inserire dati ($perms)($id_cons_gen), o non hai scelto la consultazione!");
-$res = mysql_query("SELECT t1.tipo_cons,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
-list($tipo_cons,$id_cons) = mysql_fetch_row($res);
+$sql="SELECT t1.tipo_cons,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'";
+$res = $dbi->prepare("$sql");
+$res->execute();				
+list($tipo_cons,$id_cons) = $res->fetch(PDO::FETCH_NUM);
 if (isset($param['aid2'])) get_magic_quotes_gpc() ? $aid2=$param['aid2']:$aid2=addslashes($param['aid2']); else $aid2='';
 if (isset($param['id_sede'])) $id_sede=intval($param['id_sede']); else $id_sede='';
@@ -45,5 +47,7 @@
 	}	
 	OpenTable();
-	$resmod = mysql_query("SELECT * FROM ".$prefix."_ele_operatori where id_cons=$id_cons and permessi<64 order by aid", $dbi);
+	$sql="SELECT * FROM ".$prefix."_ele_operatori where id_cons=$id_cons and permessi<64 order by aid";
+	$resmod = $dbi->prepare("$sql");
+	$resmod->execute();				
 
 	echo "<br><table><tr align=\"center\" bgcolor=\"$bgcolor1\">";
@@ -55,8 +59,10 @@
 	
 		
-	$restmp = mysql_query("SELECT aid FROM ".$prefix."_ele_operatori where id_cons=$id_cons and permessi<64 order by aid", $dbi);
+	$sql="SELECT aid FROM ".$prefix."_ele_operatori where id_cons=$id_cons and permessi<64 order by aid";
+	$restmp = $dbi->prepare("$sql");
+	$restmp->execute();				
 	if($restmp) {
 	$listmp='';$virg='';
-	while (list($artmp) = mysql_fetch_row($restmp)){ //elenco degli operatori gia' autorizzati
+	while (list($artmp) = $restmp->fetch(PDO::FETCH_NUM)){ //elenco degli operatori gia' autorizzati
 		$listmp .= $virg."'".$artmp."'";
 		$virg=',';
@@ -65,5 +71,7 @@
         
 	if (!$listmp) $listmp="''";
-	$resins = mysql_query("select aid from ".$prefix."_authors where id_comune=$id_comune and (admincomune=1 and aid not in ($listmp)) order by aid",$dbi); // operatori registrati ma non ancora autorizzati
+	$sql="select aid from ".$prefix."_authors where id_comune=$id_comune and (admincomune=1 and aid not in ($listmp)) order by aid"; // operatori registrati ma non ancora autorizzati
+	$resins = $dbi->prepare("$sql");
+	$resins->execute();				
 	
          
@@ -73,15 +81,17 @@
 	echo "<td><select name=\"aid2\">";
 	echo "<option value=\"\">";
-	if($resins) {
-		while(list($utente)=mysql_fetch_row($resins)){
+	if($resins->rowCount()) {
+		while(list($utente)=$resins->fetch(PDO::FETCH_NUM)){
 			echo "<option value=\"$utente\">$utente";
 		}
 	}
 	echo "</select></td>";
-	$ressede = mysql_query("SELECT id_sede, indirizzo from ".$prefix."_ele_sede where id_cons=$id_cons", $dbi);
+	$ressede = mysql_query("SELECT id_sede, indirizzo from ".$prefix."_ele_sede where id_cons=$id_cons";
+	$ressede = $dbi->prepare("$sql");
+	$ressede->execute();				
 	echo "<td><select name=\"id_sede\">";
 	echo "<option value=\"0\"> "._TUTTESEDI;
-	if($ressede)
-	while(list($id,$descr)=mysql_fetch_row($ressede)){
+	if($ressede->rowCount())
+	while(list($id,$descr)=$ressede->fetch(PDO::FETCH_NUM)){
 		$sel= ($id == $id_sede) ? "selected":"";
 		$arr[$id]=$descr;
@@ -103,7 +113,7 @@
 	echo "<td><input type=\"submit\" name=\"add\" value=\""._AGGIUNGI."\"></td></tr></form></table>";
 	echo "<br><hr><br><table>";
-	if($resmod){
+	if($resmod->rowCount()){
 		$i=1;
-		while (list($id_cons2,$id_sede2,$id_comunetemp,$perm,$utente) = mysql_fetch_row($resmod)){ 
+		while (list($id_cons2,$id_sede2,$id_comunetemp,$perm,$utente) = $resmod->fetch(PDO::FETCH_NUM)){ 
 			$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
 			echo "<form name=\"modello$i\" action=\"admin.php\">"
@@ -115,8 +125,10 @@
 			echo "<tr align=\"center\" bgcolor=\"$bgcolor1\">";
 			echo "<td  align=\"center\" width=\"32\"><b>$utente</b></td>";
-			$ressede = mysql_query("SELECT id_sede, indirizzo from ".$prefix."_ele_sede where id_cons=$id_cons", $dbi);
+			$sql="SELECT id_sede, indirizzo from ".$prefix."_ele_sede where id_cons=$id_cons";
+			$ressede = $dbi->prepare("$sql");
+			$ressede->execute();				
 			echo "<td><select name=\"id_sede\">";
 			echo "<option value=\"0\"> "._TUTTESEDI;
-			while(list($id,$descr)=mysql_fetch_row($ressede)){
+			while(list($id,$descr)=$ressede->fetch(PDO::FETCH_NUM)){
 				$sel= ($id == $id_sede2) ? "selected":"";
 				$arr[$id]=$descr;
@@ -147,8 +159,12 @@
 	if ($perms>32 and $permessi<$perms and $aid2) {
 		if ($do == "autorizza") {
-			$result = mysql_query("insert into ".$prefix."_ele_operatori (id_cons,id_sede,id_comune,permessi,aid) values ('$id_cons','$id_sede','$id_comune','$permessi','$aid2')", $dbi)||die("Errore 1301: Non e' stato possibile inserire l'utente!".mysql_error());
+			$sql="insert into ".$prefix."_ele_operatori (id_cons,id_sede,id_comune,permessi,aid) values ('$id_cons','$id_sede','$id_comune','$permessi','$aid2')";
+			$res = $dbi->prepare("$sql");
+			$res->execute();				
 			Header("Location: admin.php?op=permessi&id_cons_gen=$id_cons_gen");
 		} elseif ($do == "update") {
-			$result = mysql_query("update  ".$prefix."_ele_operatori set id_sede='$id_sede' , permessi='$permessi' where id_cons='$id_cons' and aid='$aid2' ", $dbi);
+			$sql="update  ".$prefix."_ele_operatori set id_sede='$id_sede' , permessi='$permessi' where id_cons='$id_cons' and aid='$aid2' ";
+			$res = $dbi->prepare("$sql");
+			$res->execute();				
 			if (!$result) return;
 			Header("Location: admin.php?op=permessi&id_cons_gen=$id_cons_gen");
Index: trunk/admin/modules/Elezioni/ele_pwd.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_pwd.php	(revision 256)
+++ trunk/admin/modules/Elezioni/ele_pwd.php	(revision 257)
@@ -15,6 +15,6 @@
     die ("You can't access this file directly...");
 }
+global $dbi;
 $aid=$_SESSION['aid'];
-$dbi=$_SESSION['dbi'];
 $prefix=$_SESSION['prefix'];
 $currentlang=$_SESSION['lang'];
@@ -64,5 +64,7 @@
     $aid=$_SESSION['aid'];
     if ($pwd1==$pwd2 and md5($oldpwd)==$_SESSION['pwd']) {
-        $result = mysql_query("update ".$prefix."_authors set pwd='".md5($pwd1)."' WHERE aid='$aid' and pwd='".md5($oldpwd)."'", $dbi) || die("Errore di accesso ai dati!".mysql_error());
+        $sql="update ".$prefix."_authors set pwd='".md5($pwd1)."' WHERE aid='$aid' and pwd='".md5($oldpwd)."'";
+		$sth = $dbi->prepare("$sql");
+		$sth->execute();	
         $_SESSION['pwd']=md5($pwd1);
     }else{
